## org.eclipse.datatools.sqltools.data.internal.ui.editor
Class TableDataCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.TextCellEditor
              org.eclipse.datatools.sqltools.data.internal.ui.editor.TableDataCellEditor

    public class TableDataCellEditor

extends org.eclipse.jface.viewers.TextCellEditor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`org.eclipse.jface.viewers.CellEditor.LayoutData`

Field Summary

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`TableDataCellEditor(ITableDataEditor editor, org.eclipse.swt.widgets.Composite parent)`

Method Summary

Methods inherited from class org.eclipse.jface.viewers.TextCellEditor
`getLayoutData, isCopyEnabled, isCutEnabled, isDeleteEnabled, isPasteEnabled, isSaveAllEnabled, isSelectAllEnabled, performCopy, performCut, performDelete, performPaste, performSelectAll`

Methods inherited from class org.eclipse.jface.viewers.CellEditor
`activate, activate, addListener, addPropertyChangeListener, create, deactivate, dispose, getControl, getErrorMessage, getStyle, getValidator, getValue, isActivated, isDirty, isFindEnabled, isRedoEnabled, isUndoEnabled, isValueValid, performFind, performRedo, performUndo, removeListener, removePropertyChangeListener, setFocus, setStyle, setValidator, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDataCellEditor

    public TableDataCellEditor(ITableDataEditor editor,
                               org.eclipse.swt.widgets.Composite parent)